CREATE TABLE DISPATCH_LOG (
 ID                          INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
 DISPATCHER_ID               INTEGER UNSIGNED NOT NULL,
 PILOT_ID                    INTEGER UNSIGNED NOT NULL,
 CREATED                     DATETIME NOT NULL,
 EQTYPE                      VARCHAR(16) NOT NULL,
 CRUISE_ALT                  VARCHAR(8),
 AIRPORT_D                   CHAR(3) NOT NULL,
 AIRPORT_A                   CHAR(3) NOT NULL,
 FSVERSION                   SMALLINT NOT NULL,
 FUEL                        INTEGER UNSIGNED NOT NULL DEFAULT 0,
 SID                         VARCHAR(32),
 STAR                        VARCHAR(32),
 ROUTE                       TEXT,
 PRIMARY KEY (ID),
 FOREIGN KEY (DISPATCHER_ID) REFERENCES common.USERDATA(ID) ON UPDATE CASCADE,
 FOREIGN KEY (PILOT_ID) REFERENCES common.USERDATA(ID) ON UPDATE CASCADE,
 FOREIGN KEY (AIRPORT_D) REFERENCES common.AIRPORTS(IATA) ON UPDATE CASCADE,
 FOREIGN KEY (AIRPORT_A) REFERENCES common.AIRPORTS(IATA) ON UPDATE CASCADE,
 FOREIGN KEY (EQTYPE) REFERENCES common.AIRCRAFT(NAME) ON UPDATE CASCADE
) CHARACTER SET latin1 ROW_FORMAT=Dynamic;