CREATE TABLE ERRORS (
 ID							INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
 USERID						INTEGER UNSIGNED NOT NULL,
 CREATED_ON					DATETIME NOT NULL,
 REMOTE_ADDR				VARBINARY(16) NOT NULL,
 REMOTE_HOST				VARCHAR(144) NOT NULL,
 CLIENT_BUILD				SMALLINT UNSIGNED NOT NULL,
 BETA						SMALLINT UNSIGNED NOT NULL DEFAULT 0,
 FS_VERSION					SMALLINT UNSIGNED NOT NULL DEFAULT 0,
 FSUIPC_VERSION				VARCHAR(24) DEFAULT 'N/A',
 BRIDGE_VERSION				VARCHAR(12) NOT NULL DEFAULT 'N/A',
 OS_VERSION                 VARCHAR(48),
 CLR_VERSION                VARCHAR(24),
 IS64BIT                    BOOLEAN NOT NULL DEFAULT FALSE,
 LOCALE                     VARCHAR(12),
 TZ                         VARCHAR(64),
 ISINFO						BOOLEAN NOT NULL DEFAULT FALSE,
 ERROR_MSG                  TEXT NOT NULL,
 STACKDUMP					MEDIUMTEXT,
 STATEDATA					MEDIUMTEXT,
 LOG						MEDIUMBLOB,
 PRIMARY KEY (ID),
 FOREIGN KEY (USERID) REFERENCES common.USERDATA(ID)
) ROW_FORMAT=Dynamic;