CREATE TABLE POSITIONS (
 FLIGHT_ID			INTEGER UNSIGNED NOT NULL,
 REPORT_TIME		DATETIME(3) NOT NULL,
 SIM_TIME           DATETIME(3) NOT NULL,
 LAT				DECIMAL (9,4) NOT NULL,
 LNG				DECIMAL (9,4) NOT NULL,
 B_ALT				INTEGER NOT NULL,
 R_ALT				INTEGER UNSIGNED NOT NULL,
 HEADING			SMALLINT NOT NULL,
 PITCH				DECIMAL (7,4) NOT NULL DEFAULT 0,
 BANK				DECIMAL (7,4) NOT NULL DEFAULT 0,
 ASPEED				SMALLINT NOT NULL,
 GSPEED				SMALLINT NOT NULL,
 VSPEED				SMALLINT NOT NULL,
 N1					DECIMAL (5,1) UNSIGNED NOT NULL,
 N2					DECIMAL (4,1) UNSIGNED NOT NULL,
 MACH				DECIMAL (5,3) UNSIGNED NOT NULL,
 FUEL				INTEGER UNSIGNED NOT NULL,
 PHASE				TINYINT NOT NULL NOT NULL,
 SIM_RATE    		SMALLINT NOT NULL DEFAULT 1,
 FLAPS				TINYINT NOT NULL DEFAULT 0,
 FLAGS				INTEGER UNSIGNED NOT NULL,
 GNDFLAGS           INTEGER UNSIGNED NOT NULL DEFAULT 0,
 WIND_HDG			SMALLINT UNSIGNED NOT NULL DEFAULT 0,
 WIND_SPEED			SMALLINT UNSIGNED NOT NULL DEFAULT 0,
 TEMP               SMALLINT NOT NULL DEFAULT 0,
 PRESSURE           INTEGER UNSIGNED NOT NULL DEFAULT 0,
 VIZ                DECIMAL (7,3) UNSIGNED NOT NULL DEFAULT 0,
 FUELFLOW			INTEGER UNSIGNED NOT NULL DEFAULT 0,
 AOA				DECIMAL (5,3) NOT NULL DEFAULT 0,
 CG                 DECIMAL (5,4) NOT NULL DEFAULT 0,
 GFORCE				DECIMAL (5,3) NOT NULL DEFAULT 1,
 FRAMERATE			SMALLINT UNSIGNED NOT NULL DEFAULT 0,
 NAV1				VARCHAR(6) NOT NULL,
 NAV2				VARCHAR(6) NOT NULL,
 ADF1				VARCHAR(6),
 VAS                INTEGER UNSIGNED NOT NULL DEFAULT 0,
 WEIGHT				INTEGER UNSIGNED NOT NULL DEFAULT 0,
 ASTYPE             TINYINT UNSIGNED NOT NULL DEFAULT 7,
 NET_CONNECTED      BOOLEAN NOT NULL DEFAULT FALSE,
 ACARS_CONNECTED    BOOLEAN NOT NULL DEFAULT TRUE,
 RESTORE_COUNT      SMALLINT UNSIGNED NOT NULL DEFAULT 0,
 ENC_N1             VARBINARY(50),
 ENC_N2             VARBINARY(50),
 PRIMARY KEY (FLIGHT_ID, REPORT_TIME),
 FOREIGN KEY (FLIGHT_ID) REFERENCES FLIGHTS(ID) ON DELETE CASCADE ON UPDATE CASCADE
);